Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.mbean
Class ServiceService

    java.lang.Object
      org.mule.module.management.mbean.FlowConstructService
          org.mule.module.management.mbean.ServiceService

All Implemented Interfaces:
  MBeanRegistration, Startable, Stoppable, FlowConstructServiceMBean, FlowConstructStatsMBean, ServiceServiceMBean, ServiceStatsMBean

    public class ServiceService

extends FlowConstructService
implements ServiceServiceMBean, MBeanRegistration, ServiceStatsMBean

`ServiceService` exposes service information about a Mule Managed service.

Field Summary

Fields inherited from class org.mule.module.management.mbean.FlowConstructService
`muleContext, name, objectName, server, statsName, type`

Fields inherited from interface org.mule.module.management.mbean.ServiceServiceMBean
`DEFAULT_JMX_NAME_PREFIX`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Constructor Summary
`ServiceService(String name, MuleContext muleContext)`

Method Summary
`void` | `clearStatistics()`
`void` | `dispose()`
`void` | `forceStop()` Causes the service to stop without processing its event queue first
`long` | `getAsyncEventsReceived()`
`long` | `getAsyncEventsSent()`
`long` | `getAverageExecutionTime()`
`long` | `getAverageQueueSize()`
`long` | `getExecutedEvents()`
`long` | `getMaxExecutionTime()`
`long` | `getMaxQueueSize()`
`long` | `getMinExecutionTime()`
`long` | `getQueuedEvents()`
`int` | `getQueueSize()` The number of queued events for this service
`long` | `getReplyToEventsSent()`
`ObjectName` | `getStatistics()` The statistics for this flow construct
`long` | `getSyncEventsReceived()`
`long` | `getSyncEventsSent()`
`long` | `getTotalEventsReceived()`
`long` | `getTotalEventsSent()`
`long` | `getTotalExecutionTime()`
`boolean` | `isPaused()`
`boolean` | `isStopped()`
`boolean` | `isStopping()`
`void` | `pause()` Pauses event processing for theComponent.
`void` | `postDeregister()`
`void` | `postRegister(Boolean registrationDone)`
`void` | `preDeregister()`
`ObjectName` | `preRegister(MBeanServer server, ObjectName name)`
`void` | `resume()` Resumes the Service that has been paused.
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.mule.module.management.mbean.FlowConstructService
`getAverageProcessingTime, getExecutionErrors, getFatalErrors, getMaxProcessingTime, getMinProcessingTime, getName, getProcessedEvents, getTotalProcessingTime, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.module.management.mbean.FlowConstructServiceMBean
`getName, getType`

Methods inherited from interface org.mule.module.management.mbean.FlowConstructStatsMBean
`getAverageProcessingTime, getExecutionErrors, getFatalErrors, getMaxProcessingTime, getMinProcessingTime, getProcessedEvents, getTotalProcessingTime`

Constructor Detail

### ServiceService

    public ServiceService(String name,
                          MuleContext muleContext)

Method Detail

### getQueueSize

    public int getQueueSize()

  Description copied from interface: `ServiceServiceMBean`
  The number of queued events for this service

  Specified by:
    `getQueueSize` in interface `ServiceServiceMBean`
  Returns:
    The number of queued events for this service

### pause

    public void pause()
               throws MuleException

  Pauses event processing for theComponent. Unlike stop(), a paused service will still consume messages from the underlying transport, but those messages will be queued until the service is resumed.

  In order to persist these queued messages you can set the 'recoverableMode' property on the Muleconfiguration to true. this causes all internal queues to store their state.

  Specified by:
    `pause` in interface `ServiceServiceMBean`
  Throws:
    `MuleException` - if the service failed to pause.
  See Also:
    `MuleConfiguration`

### resume

    public void resume()
                throws MuleException

  Resumes the Service that has been paused. If the service is not paused nothing is executed.

  Specified by:
    `resume` in interface `ServiceServiceMBean`
  Throws:
    `MuleException` - if the service failed to resume

### isPaused

    public boolean isPaused()

  Specified by:
    `isPaused` in interface `ServiceServiceMBean`

### isStopped

    public boolean isStopped()

  Specified by:
    `isStopped` in interface `ServiceServiceMBean`

### stop

    public void stop()
              throws MuleException

  Specified by:
    `stop` in interface `Stoppable`
  Throws:
    `MuleException`

### forceStop

    public void forceStop()
                   throws MuleException

  Description copied from interface: `ServiceServiceMBean`
  Causes the service to stop without processing its event queue first

  Specified by:
    `forceStop` in interface `ServiceServiceMBean`
  Throws:
    `MuleException`

### isStopping

    public boolean isStopping()

  Specified by:
    `isStopping` in interface `ServiceServiceMBean`

### dispose

    public void dispose()
                 throws MuleException

  Specified by:
    `dispose` in interface `ServiceServiceMBean`
  Throws:
    `MuleException`

### start

    public void start()
               throws MuleException

  Specified by:
    `start` in interface `Startable`
  Throws:
    `MuleException`

### getStatistics

    public ObjectName getStatistics()

  Description copied from interface: `FlowConstructServiceMBean`
  The statistics for this flow construct

  Specified by:
    `getStatistics` in interface `FlowConstructServiceMBean`
  Overrides:
    `getStatistics` in class `FlowConstructService`
  Returns:
    statistics for this flow construct
  See Also:
    `FlowConstructStats`

### preRegister

    public ObjectName preRegister(MBeanServer server,
                                  ObjectName name)
                           throws Exception

  Specified by:
    `preRegister` in interface `MBeanRegistration`
  Overrides:
    `preRegister` in class `FlowConstructService`
  Throws:
    `Exception`

### postRegister

    public void postRegister(Boolean registrationDone)

  Specified by:
    `postRegister` in interface `MBeanRegistration`
  Overrides:
    `postRegister` in class `FlowConstructService`

### preDeregister

    public void preDeregister()
                       throws Exception

  Specified by:
    `preDeregister` in interface `MBeanRegistration`
  Overrides:
    `preDeregister` in class `FlowConstructService`
  Throws:
    `Exception`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `MBeanRegistration`
  Overrides:
    `postDeregister` in class `FlowConstructService`

### clearStatistics

    public void clearStatistics()

  Specified by:
    `clearStatistics` in interface `FlowConstructStatsMBean`
  Overrides:
    `clearStatistics` in class `FlowConstructService`

### getAsyncEventsReceived

    public long getAsyncEventsReceived()

  Specified by:
    `getAsyncEventsReceived` in interface `FlowConstructStatsMBean`
  Overrides:
    `getAsyncEventsReceived` in class `FlowConstructService`

### getSyncEventsReceived

    public long getSyncEventsReceived()

  Specified by:
    `getSyncEventsReceived` in interface `FlowConstructStatsMBean`
  Overrides:
    `getSyncEventsReceived` in class `FlowConstructService`

### getTotalEventsReceived

    public long getTotalEventsReceived()

  Specified by:
    `getTotalEventsReceived` in interface `FlowConstructStatsMBean`
  Overrides:
    `getTotalEventsReceived` in class `FlowConstructService`

### getAsyncEventsSent

    public long getAsyncEventsSent()

  Specified by:
    `getAsyncEventsSent` in interface `ServiceStatsMBean`

### getAverageExecutionTime

    public long getAverageExecutionTime()

  Specified by:
    `getAverageExecutionTime` in interface `ServiceStatsMBean`

### getAverageQueueSize

    public long getAverageQueueSize()

  Specified by:
    `getAverageQueueSize` in interface `ServiceStatsMBean`

### getExecutedEvents

    public long getExecutedEvents()

  Specified by:
    `getExecutedEvents` in interface `ServiceStatsMBean`

### getMaxExecutionTime

    public long getMaxExecutionTime()

  Specified by:
    `getMaxExecutionTime` in interface `ServiceStatsMBean`

### getMaxQueueSize

    public long getMaxQueueSize()

  Specified by:
    `getMaxQueueSize` in interface `ServiceStatsMBean`

### getMinExecutionTime

    public long getMinExecutionTime()

  Specified by:
    `getMinExecutionTime` in interface `ServiceStatsMBean`

### getQueuedEvents

    public long getQueuedEvents()

  Specified by:
    `getQueuedEvents` in interface `ServiceStatsMBean`

### getReplyToEventsSent

    public long getReplyToEventsSent()

  Specified by:
    `getReplyToEventsSent` in interface `ServiceStatsMBean`

### getSyncEventsSent

    public long getSyncEventsSent()

  Specified by:
    `getSyncEventsSent` in interface `ServiceStatsMBean`

### getTotalEventsSent

    public long getTotalEventsSent()

  Specified by:
    `getTotalEventsSent` in interface `ServiceStatsMBean`

### getTotalExecutionTime

    public long getTotalExecutionTime()

  Specified by:
    `getTotalExecutionTime` in interface `ServiceStatsMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.